This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 460583 - Review Request: up-imapproxy - University of Pittsburgh IMAP Proxy
Review Request: up-imapproxy - University of Pittsburgh IMAP Proxy
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 247084 427659 456964
  Show dependency treegraph
 
Reported: 2008-08-28 15:35 EDT by Rakesh Pandit
Modified: 2014-11-24 08:31 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-31 10:13:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rakesh Pandit 2008-08-28 15:35:38 EDT
Description:
Imapproxy was written to compensate for webmail clients that are
unable to maintain persistent connections to an IMAP server. Most
webmail clients need to log in to an IMAP server for nearly every
single transaction. This behaviour can cause tragic performance
problems on the IMAP server. imapproxy tries to deal with this problem
by leaving server connections open for a short time after a webmail
client logs out. When the webmail client connects again, imapproxy
will determine if there's a cached connection available and reuse it
if possible.



SPEC: http://rakesh.fedorapeople.org/spec/up-imapproxy.spec
SRPM: http://rakesh.fedorapeople.org/srpm/up-imapproxy-1.2.6-1.fc9.src.rpm

Makefile.in does not have DESTDIR - patch sent to upstream
There are some simple to remove warnings (while building) -- patch sent

But I don't consider them as blockers.
Comment 1 Tim Jackson 2008-08-28 17:59:56 EDT
I don't think you need a whole new review request for this since there are no major changes - you just want to take ownership, right?
Comment 2 Rakesh Pandit 2008-08-28 23:31:14 EDT
I am not sure.

Looking on https://fedoraproject.org/wiki/PackageMaintainers/OrphanedPackages
it looks like I need a review as package was last updated long back.

Thanks,
Comment 3 manuel wolfshant 2008-08-29 10:07:41 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the
legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type:GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, contain
ing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     SHA1SUM of package:75f497e3fda44ff1526c46ac93e5c863bf6e0963  up-imapproxy-1.2.6.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English langua
ges, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64, F7/x86_64
 [?] Package should compile and build into binary rpms on all supported architectures.
     Tested on:
 [x] Package functions as described.
 [x] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [x] File based requires are sane.

Notes
=====
The package itself seems fine and functional. However the init script needs a bit of rework, it still returns error code 0 both for normal start and as an error if one tries to do "service imapproxy stop" when the service is already stopped (according to http://fedoraproject.org/wiki/FCNewInit/Initscripts in this last case return code should be 7 - program is not running ). Hence the blocker bug 247084 should remain open. The other 2 blockers can be closed once this newer version is built.



APPROVED but please fix the init script as soon as you can.
Comment 4 Rakesh Pandit 2008-08-29 11:03:06 EDT
Thanks for reminding. I will do it ASAP -- I have some more initscripts to fix also.
Comment 6 Rakesh Pandit 2008-08-31 10:13:30 EDT
Build
Comment 7 Chris Adams 2014-11-22 23:10:44 EST
Package Change Request
======================
Package Name: up-imapproxy
New Branches: epel7
Owners: cmadams timj wolfy
InitialCC: 

Please add branch for EPEL 7
Comment 8 Gwyn Ciesla 2014-11-24 08:31:40 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.